SUBROUTINE GPINIDDH(KST,KEND,&
 & KDDHI,PDHSF,PDHCV,PNEB,PCLCT,&
 & KSTGLO)  
!****
!     ------------------------------------------------------------------

!     INITIALIZING THE LOCATION & WEIGHT VECTORS.
!     DIAGNOSTICS PAR DOMAINES HORIZONTAUX
!     ------------------------------------

!       -------------------------------------------------------
!     GOAL
!     ----

!     INPUT PARAMETERS
!     ----------------

!     ARGUMENTS IMPLICITES
!     --------------------

!     AUTRES ENTREES
!     --------------

!     OUTPUT
!     ------

!     WRITTEN BY
!     ----------

!     MODIFIED
!     --------
!     98-01-02 J.M. Piriou: pole points weights are initialized to a zero value.
!     Modified 98-08-10 by K. YESSAD: removal of LRPOLE option.
!      - modification of a comment.
!        R. El Khatib : 01-08-07 Pruning options

!     ------------------------------------------------------------------
!     IDDHI(NPROMA) : DISTRIBUTION OF INTERNAL AREAS INDEXES
!     PDHSF(NPROMA) : DISTRIBUTION OF HORIZONTAL MEANS WEIGHTS
!     PDHCV(NPROMA,0:NFLEVG,NDHCVSU): VERTICAL FIELDS FOR ACCUMULATION

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

USE YOMDIM   , ONLY : NFLEVG   ,NPROMA
USE YOMMDDH  , ONLY : NDHCVSUN ,NDDHI    ,HDSF

IMPLICIT NONE

INTEGER(KIND=JPIM),INTENT(IN)    :: KST 
INTEGER(KIND=JPIM),INTENT(IN)    :: KEND 
INTEGER(KIND=JPIM),INTENT(OUT)   :: KDDHI(NPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PDHSF(NPROMA) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PDHCV(NPROMA,0:NFLEVG,NDHCVSUN) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PNEB(NPROMA,NFLEVG) 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PCLCT(NPROMA) 
INTEGER(KIND=JPIM),INTENT(IN)    :: KSTGLO 
!     Diagnostics DDH
!     ---------------

INTEGER(KIND=JPIM) :: JLEV, JROF, JSU
REAL(KIND=JPRB) :: ZHOOK_HANDLE

IF (LHOOK) CALL DR_HOOK('GPINIDDH',0,ZHOOK_HANDLE)
DO JROF=KST,KEND
  KDDHI(JROF)=NDDHI(JROF+KSTGLO-1)
  PDHSF(JROF)=HDSF(JROF+KSTGLO-1)
ENDDO

!        INITIALISATION OF INTERMEDIATE COMPUTATION ARRAYS
!        IN ORDER TO MAKE THE ACCUMULATION EASIER

DO JSU=1,NDHCVSUN
  DO JROF=KST,KEND
    PDHCV(JROF,0   ,JSU)=0.0_JPRB
  ENDDO
ENDDO

DO  JLEV=1,NFLEVG
  DO JROF=KST,KEND
    PNEB(JROF,JLEV)=0.0_JPRB
  ENDDO
ENDDO

DO JROF=KST,KEND
  PCLCT(JROF)=0.0_JPRB
ENDDO

IF (LHOOK) CALL DR_HOOK('GPINIDDH',1,ZHOOK_HANDLE)
END SUBROUTINE GPINIDDH

